<?php use_helper('UrlFunctions'); ?>
<script>

acutalizarEspecialidad = function(destino,elm){
  $(destino).options.length = 1;
  var url = '<?=buildUrl('ajax/request')?>';
  var pars = 'type=getEspecialidad&nombreElm='+destino+'&value='+elm.value;
  
	var myAjax = new Ajax.Request(
                            		url, 
                            		{
                            			method: 'get', 
                            			parameters: pars, 
                            			onComplete: actualizaJSON
                            		});
}

</script>
<script>
actualizaJSON = function(request, json){
  var numeroElementos = json.length;
  for (var i = 0; i < numeroElementos; i++){
    if($(json[i][0])){
  	  switch ($(json[i][0]).tagName){
  	    case 'TD'      : Element.update(json[i][0], json[i][1]); break;
  	    case 'INPUT'   : $(json[i][0]).value=json[i][1]; break;
  	    case 'SELECT'  : 
  	      var objDDL = $(json[i][0]);
  	      if(typeof(cont) == 'undefined'){
  	        var cont = 0;
  	        objDDL.options.length = 1;
  	      }
  	      var a_contentValues = json[i][1].split("_;_");
      		var value	= a_contentValues[0];
      		var text	= a_contentValues[1];
  	      var option	= new Option(text,value);
      		try{
      			objDDL.add(option,null);
      		}catch (e){
      			objDDL.add(option,-1);
      		}
  	      cont++;
  	    break;
  	  }
    }else{
      if(json[i][0].indexOf("function") > -1){
        eval("scriptEval = "+json[i][0]);
        scriptEval();
      }
    }
  }
}
</script>
<?php
 //Obtener Dia Abierto del balance diario
if(myUser::getUser()->getIdPadre()){
	$o_ColaboradorBean_Temp = new ColaboradorBean();
	$o_ColaboradorBean_Temp->setIdColaborador(myUser::getUser()->getIdColaborador()); 
	$o_ColaboradorBL_Temp = new ColaboradorBL();
	$o_ColaboradorBeanResult = $o_ColaboradorBL_Temp->busquedaColaborador($o_ColaboradorBean_Temp);
	$idAdministrador = $o_ColaboradorBeanResult[0]->getIdPadre();
}elseif(myUser::getUser()->getIdPadre() == "A"){ //Todos los Padres Rol actualmente sys.gen y sys.view
	//SIN FILTRO
}else{
	$idAdministrador = myUser::getUser()->getIdColaborador();
}

if($idAdministrador){
	$o_SucursalBean = new SucursalBean();
	$o_SucursalBean->setIdAdministrador($idAdministrador);
	$o_SucursalBL = new SucursalBL();
	$a_o_sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);
	//----------------------------------------------------
	
	$IdSucursal = $a_o_sucursal[0]->getIdSucursal();

}
$o_colaborador = new ColaboradorBean();
$o_colaborador->setIdPadre($idAdministrador);
if(isset($control)){
  
  
  $o_BalanceDia = new BalanceDiaBean();
  $o_BalanceDia->setIdSucursal($IdSucursal);

  $o_BalanceDiaDP = new BalanceDiaDP($o_BalanceDia);
  $fecha = $o_BalanceDiaDP->ObtenerDiaAbierto();
  
  
  $o_asistencia = new CrAsistenciaDP();
		   
  $o_asistencia->setIdAsistencia($id);
  $o_asistencia->setIdColaborador($cboColaborador);
  $o_asistencia->setTipoAsistencia($cboTipoAsistencia);
  $o_asistencia->setEstado($cboEstado);
  $o_asistencia->setMonto($Monto);
  $o_asistencia->setFecha($Fecha);
  $o_asistencia->setNumeroMinutos($NumeroMinutos);
  $o_asistencia->setComentario($Comentario);
  $o_asistencia->setUsuarioCreacion(myUser::getUser()->getUserId());
  $o_asistencia->setFechaCreacion(date("Y-m-d H:i:s"));
  $bResult = $o_asistencia ->update();
 
  if($bResult){
    ?>
    <script language="JavaScript">
    parent.objMainTab.reqBody('<?=buildUrl('tardanza/list')?>','&block=001&insert=1&cod=<?=$o_asistencia->getIdColaborador()?>');
    parent.objMainTab.windowsCloseAll();
    </script>
    <?
  }else{
    $url = buildUrl('tardanza/add', "block=".$block."&error=1");
  }
  exit;
}
	$a_rol[] = 'sys.res';
	$o_colaborador->setFiltroColaborador($a_rol);
	$o_colaborador->setEstado('A');
	$o_colaboradorDP = new ColaboradorDP($o_colaborador);
 	$a_Colaborador = $o_colaboradorDP->select();
	$o_asistenciaFN = new CrAsistenciaFN();
	$o_asistenciaFN->setIdAsistencia($id);
	$o_ObjectBean = $o_asistenciaFN->selectByPK();
 
 ?>
 
<img src="/images/common/spacer.gif" width="10">
<table class="cuerpo" width="98%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td height="0">
      <table border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td class="titleBody">
            <li>Inasistencia</li>
            <span class="subtitle"><I>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;:::&nbsp;Ficha de Inasistencia</I></span></td>
          <td align="right" valign="baseline">&nbsp;</td>
        </tr>
      </table>
    </td>
  </tr>
      <script type="text/javascript">
        validatePass = function(){
          
            valid.onSubmit = false;
          
        }
      </script>
  <tr>
    <td valign="top">
      <form id="form1" name="form1" method="POST">
      <input type="hidden" name="control" value="1">
        <table hspace="20px" class="marco" width="99%">
          <tr>
            <td valign="top">
              <table width="100%" border="0" cellpadding="5" cellspacing="0" style="background: #E3E9E2">
          		<tr>
    				  <td height="0">
    				  <fieldset>
    					<legend class="fielsettex"><I>Datos Generales</I></legend>
    					 <table width="100%" border="0" cellspacing="6" cellpadding="0">
							  
							  <tr>
                  				<td nowrap="nowrap" width="10%" class="cabecera"><label class="label req" for="txtAdministrador" >Adnmin Sucursal</label></td>
  								 <td nowrap="nowrap"><select class="combo validate-selection " name="cboColaborador" id="cboColaborador">
  								 		<option>Seleccione</option> 
                      					 <?php foreach ($a_Colaborador as $iKey => $o_ColaboradorBeanT){ ?>
                      					 
		                     		 		<option value="<?=$o_ColaboradorBeanT->getIdColaborador()?>" <?php if($o_ColaboradorBeanT->getIdColaborador() == $o_ObjectBean->getIdColaborador() ) echo " SELECTED "?>>
		                      					<?=$o_ColaboradorBeanT->getNombrecompleto()?>
		                      				</option>
                      					<?php } ?>
                				 </select>
                 				</td>
							  </tr>
							  <tr>
							  	<td nowrap="nowrap" width="10%" class="cabecera"><label class="label req" for="txtMonto" >Monto</label></td>
  								<td nowrap="nowrap"><input class="text required" type="text" name="Monto" id="Monto" size="15" maxlength="15" value="<?php echo $o_ObjectBean->getMonto();?>"/></td>
							  </tr>
							   <tr>
							  	<td nowrap="nowrap" width="10%" class="cabecera"><label class="label req" for="txtMonto" >Tipo Asistencia</label></td>
  								 <td nowrap="nowrap" width="38%">
								   <select name="cboTipoAsistencia" id="cboTipoAsistencia" type="text" class="combo"/> 
									  
									  
									  <option value="T" <?php  if($o_ObjectBean->getTipoAsistencia() == 'T') echo "selected='selected'"?>>Tardanza</option>
							  		</select>
								</td>
							  </tr>
							   <tr>
							  	<td nowrap="nowrap" width="10%" class="cabecera"><label class="label req" for="txtMonto" >Fecha</label></td>
  								 <td nowrap="nowrap"><input class="text"  readonly  type="text" name="Fecha" id="Fecha"  maxlength="10" size="8" value="<?php echo $o_ObjectBean->getFecha()?>" ondblclick="this.value=''"/><button type="button" onclick="return false" id="btnFecha">...</button>
								   <script type="text/javascript">
								     document.getElementById("btnFecha").disabled = false;
								     Calendar.setup({
								     inputField : "Fecha",
								     ifFormat : "%Y-%m-%d",
								     daFormat : "%Y-%m-%d",
								     button   : "btnFecha"
								     });
								    </script>
								</td>
							  </tr>
							  
							  <tr>
								<td nowrap="nowrap" width="12%" class="cabecera"><label class="label" for="txtDireccion">Comentario</label></td>
								<td nowrap="nowrap" width="38%"><textarea name="Comentario" id="Comentario" cols="50" rows="4"><?php echo $o_ObjectBean->getComentario();?></textarea></td>
							  <tr>
							    <td nowrap="nowrap" width="10%" class="cabecera"><label class="label req" for="txtEstado" >Estado</label></td>
								<td nowrap="nowrap" width="38%">
								   <select name="cboEstado" id="cboEstado" type="text" class="combo"/> 
									  <option value="" >Selecione</option>
									  <option value="A" <?php  if($o_ObjectBean->getEstado() == 'A') echo "selected='selected'"?>>Activo</option>
									  <option value="I" <?php  if($o_ObjectBean->getEstado() == 'I') echo "selected='selected'"?>>Inactivo</option>
							  		</select>
								</td>
								 <td nowrap="nowrap" width="8%" class="cabecera">&nbsp;</td>
								 <td nowrap="nowrap" width="8%" class="cabecera">&nbsp;</td>
								 <td nowrap="nowrap" width="8%" class="cabecera">&nbsp;</td>
                 <!--<td nowrap="nowrap" width="10%" class="cabecera"><label class="label req" for="txtMonto" >Fecha Entrega</label></td>
  								<td nowrap="nowrap"><input class="text required" type="text" name="Fecha" id="Fecha" size="10" maxlength="10" value="<?php echo $o_ObjectBean->getFecha();?>"/></td>-->
							  </tr>
						</table>
						 <table width="100%" border="0" cellspacing="0" cellpadding="0">
							  <tr>
								 <td><img src="/images/common/spacer.gif" width="10"></td>
							  </tr>
							  <tr>
								<td align="center">
								  <input type="hidden" name="typeSubmit" id="typeSubmit">
								  <!--<input class="button" type="submit" value="Grabar y Nuevo" onclick="$('typeSubmit').value='add';"/>-->
								  <input class="button" type="submit" value="Grabar" onclick="$('typeSubmit').value='list';">
								  <input class="button" type="button" value="Cancelar" onclick="parent.objMainTab.windowsCloseAll();"/>
								</td>
							  </tr>
							  <tr>
								<td height="10">&nbsp;</td>
							  </tr>
							</table>
    					</fieldset>				
    				</td>
                </tr>
      </table>
      </form>
			<script type="text/javascript">
				var valid = new Validation('form1', {immediate : true});
			</script>
    </td>
  </tr>
</table>
